Fork me on GitHub

Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of dependencies (NOD): 32
Number of unique artifacts (NOA): 38
Number of version-conflicting artifacts (NOC): 4
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 84 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in this project

org.apache.maven:maven-artifact

[Error]
3.0
    org.codehaus.mojo:flatten-maven-plugin:maven-plugin:1.0.1
    \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.4:provided
       \- (org.apache.maven:maven-artifact:jar:3.0:provided - omitted for conflict with 3.2.5)

3.2.5
    org.codehaus.mojo:flatten-maven-plugin:maven-plugin:1.0.1
    +- org.apache.maven:maven-artifact:jar:3.2.5:compile
    +- org.apache.maven:maven-core:jar:3.2.5:compile
    |  \- (org.apache.maven:maven-artifact:jar:3.2.5:compile - omitted for duplicate)
    \- org.apache.maven:maven-plugin-api:jar:3.2.5:compile
       \- (org.apache.maven:maven-artifact:jar:3.2.5:compile - omitted for duplicate)

org.apache.maven:maven-plugin-api

[Error]
3.0
    org.codehaus.mojo:flatten-maven-plugin:maven-plugin:1.0.1
    \- org.apache.maven:maven-core:jar:3.2.5:compile
       \- (org.apache.maven:maven-plugin-api:jar:3.0:compile - version managed from 3.2.5; omitted for conflict with 3.2.5)

3.2.5
    org.codehaus.mojo:flatten-maven-plugin:maven-plugin:1.0.1
    \- org.apache.maven:maven-plugin-api:jar:3.2.5:compile

org.codehaus.plexus:plexus-classworlds

[Error]
2.5.1
    org.codehaus.mojo:flatten-maven-plugin:maven-plugin:1.0.1
    \- org.apache.maven:maven-core:jar:3.2.5:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.0.M1:compile
          \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.1:compile - omitted for conflict with 2.5.2)

2.5.2
    org.codehaus.mojo:flatten-maven-plugin:maven-plugin:1.0.1
    \- org.apache.maven:maven-core:jar:3.2.5:compile
       \- org.codehaus.plexus:plexus-classworlds:jar:2.5.2:compile

org.codehaus.plexus:plexus-utils

[Error]
1.5.5
    org.codehaus.mojo:flatten-maven-plugin:maven-plugin:1.0.1
    \- org.apache.maven:maven-core:jar:3.2.5:compile
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.3:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 3.0.20)

2.1
    org.codehaus.mojo:flatten-maven-plugin:maven-plugin:1.0.1
    \- org.apache.maven:maven-core:jar:3.2.5:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.0.M1:compile
          \- (org.codehaus.plexus:plexus-utils:jar:2.1:compile - omitted for conflict with 3.0.20)

3.0.20
    org.codehaus.mojo:flatten-maven-plugin:maven-plugin:1.0.1
    +- org.apache.maven:maven-model:jar:3.2.5:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.20:compile - omitted for conflict with 3.0.24)
    +- org.apache.maven:maven-model-builder:jar:3.2.5:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.20:compile - omitted for duplicate)
    +- org.apache.maven:maven-artifact:jar:3.2.5:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.20:compile - omitted for duplicate)
    \- org.apache.maven:maven-core:jar:3.2.5:compile
       +- org.apache.maven:maven-settings:jar:3.2.5:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.20:compile - omitted for duplicate)
       +- org.apache.maven:maven-settings-builder:jar:3.2.5:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.20:compile - omitted for duplicate)
       +- org.apache.maven:maven-repository-metadata:jar:3.2.5:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.20:compile - omitted for duplicate)
       +- org.apache.maven:maven-aether-provider:jar:3.2.5:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.20:compile - omitted for duplicate)
       \- (org.codehaus.plexus:plexus-utils:jar:3.0.20:compile - omitted for duplicate)

3.0.24
    org.codehaus.mojo:flatten-maven-plugin:maven-plugin:1.0.1
    \- org.codehaus.plexus:plexus-utils:jar:3.0.24:compile